Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# LoaderFileTypeRegistry Class Reference

This class maintains the set of all known LoaderFileTypes in the universe. More...

List of all members.

## Public Member Functions
int | getNumTypes ()
| Returns the total number of types registered.
LoaderFileType | getType (int n)
| Returns the nth type registered.
LoaderFileType | getTypeFromExtension (string extension)
| Determines the type of the file based on the indicated extension (without a leading dot).
list | getTypes ()
| write (ostream out)
| Writes a list of supported file types to the indicated output stream, one per line.
| write (ostream out, int indent_level)
| Writes a list of supported file types to the indicated output stream, one per line.
## Static Public Member Functions
static LoaderFileTypeRegistry | getGlobalPtr ()
| Returns a pointer to the global LoaderFileTypeRegistry object.

## Detailed Description

This class maintains the set of all known LoaderFileTypes in the universe.

## Member Function Documentation

static LoaderFileTypeRegistry getGlobalPtr | ( |  | ) | `[static]`

Returns a pointer to the global LoaderFileTypeRegistry object.

int getNumTypes | ( |  | ) |

Returns the total number of types registered.

LoaderFileType getType | ( | int | n | ) |

Returns the nth type registered.

LoaderFileType getTypeFromExtension | ( | string | extension | ) |

Determines the type of the file based on the indicated extension (without a leading dot).

Returns NULL if the extension matches no known file types.

list getTypes | ( |  | ) |

write | ( | ostream | out | ) |

Writes a list of supported file types to the indicated output stream, one per line.

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

Writes a list of supported file types to the indicated output stream, one per line.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties